shishi_ap_string2option(3)

NAME
shishi_ap_string2option - API function

SYNOPSIS
#include <shishi.h>

Shishi_apoptions shishi_ap_string2option(const char * str);

ARGUMENTS

const char * str
    zero terminated character array with name of AP-Option, e.g. "use-session-key".

DESCRIPTION
Convert AP-Option name to AP-Option type.

RETURN VALUE
Returns enumerated type member corresponding to AP-Option, or 0 if string was not understood.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.